Bug 975709 - bti stopped sending/receiving tweets.
bti stopped sending/receiving tweets.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bti (Show other bugs)
18
All All
unspecified Severity urgent
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
https://dev.twitter.com/docs/api/1.1/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 03:59 EDT by Medic Momcilo
Modified: 2013-07-21 14:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: bti-033-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 23:26:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Medic Momcilo 2013-06-19 03:59:56 EDT
Description of problem:
bti can't send tweets anymore due to changes in twitter's api.

Version-Release number of selected component (if applicable):
032
(and I think every other version)

How reproducible:
try to send tweet with bti and it exits without error, parsing verbose and/or debug shows:
bti: send_request: <?xml version="1.0" encoding="UTF-8"?>The Twitter REST API v1 is no longer active. Please migrate to API v1.1. https://dev.twitter.com/docs/api/1.1/overview.

Steps to Reproduce:
1. echo test | bti
2.
3.

Actual results:
nothing is tweeted

Expected results:
send 'test' tweet

Additional info:
it's not resolved yet on official source, but it is recognized (https://github.com/gregkh/bti/issues/26)
I wanted to raise awareness asap.

it seems that quick fix could make sending possible, but receiving may need more developing.

maybe we could just fix sending for now?
Comment 1 Medic Momcilo 2013-07-03 15:06:48 EDT
Hi friends,

this bug has been fixed in official release.
Can we use new version and push it to updates for all versions (F17, F18, F19, ...).

Best regards,
Momcilo.
Comment 2 Fedora Update System 2013-07-04 03:44:33 EDT
bti-033-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bti-033-1.fc18
Comment 3 Fedora Update System 2013-07-04 03:44:50 EDT
bti-033-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bti-033-1.fc17
Comment 4 Fedora Update System 2013-07-04 03:45:04 EDT
bti-033-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bti-033-1.fc19
Comment 5 Fedora Update System 2013-07-04 03:45:19 EDT
bti-033-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bti-033-1.el6
Comment 6 Fedora Update System 2013-07-04 03:45:36 EDT
bti-033-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bti-033-1.el5
Comment 7 Fedora Update System 2013-07-04 16:02:40 EDT
Package bti-033-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bti-033-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10738/bti-033-1.el5
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-07-13 23:26:44 EDT
bti-033-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-07-13 23:27:00 EDT
bti-033-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-07-13 23:31:04 EDT
bti-033-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-07-21 14:36:23 EDT
bti-033-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-07-21 14:39:32 EDT
bti-033-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.